Bug 1127644

Summary: few RHEV related limitations
Product: Red Hat Enterprise Virtualization Manager Reporter: Linux engineering teams - Veritas <linux26port>
Component: ovirt-engine-restapiAssignee: Juan Hernández <juan.hernandez>
Status: CLOSED DEFERRED QA Contact: Shai Revivo <srevivo>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.4.0CC: acathrow, amureini, bazulay, ecohen, gklein, iheim, laravot, linux26port, lsurette, michal.skrivanek, oourfali, oramraz, Rhev-m-bugs, yeylon
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1132048 1132052 1132054 1132056 (view as bug list) Environment:
Last Closed: 2014-08-20 14:52:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1054205, 1063597, 1132048, 1132054, 1132056    
Bug Blocks:    

Description Linux engineering teams - Veritas 2014-08-07 09:47:58 UTC
Description of problem:
There are few limitation with RHEV which we feel must be addressed.
Listing few cases.

1. RHEVM should provide a REST api to return the xml configuration for a running VM which was used during startup.

2. RHEVM should allow to boot a virtual machine without configured harddisk, as the machine can boot via hooks.

3. QEMU should return the volume device path on the host in the scsi page 83 id for virtio-scsi emulation.

4. In add external disk option, rhevm can provide an option to add the path of the scsi device on the host. Currently there is no such option.

Version-Release number of selected component (if applicable):
RHEV 3.4

How reproducible:
- NA -

Steps to Reproduce:
1.
2.
3.

Actual results:
-- NA --

Expected results:


Additional info:

Comment 1 Oved Ourfali 2014-08-10 06:41:12 UTC
Can you open four different bugs here?
It will be easier to track and fix.

Comment 2 Allon Mureinik 2014-08-11 07:00:51 UTC
(In reply to Linux engineering teams - Veritas from comment #0)
> 1. RHEVM should provide a REST api to return the xml configuration for a
> running VM which was used during startup.
Liron - don't we already have a way of doing this?

> 3. QEMU should return the volume device path on the host in the scsi page 83
> id for virtio-scsi emulation.
Isn't this covered by bug 1063597?

Comment 3 Liron Aravot 2014-08-11 12:17:18 UTC
(In reply to Allon Mureinik from comment #2)
> (In reply to Linux engineering teams - Veritas from comment #0)
> > 1. RHEVM should provide a REST api to return the xml configuration for a
> > running VM which was used during startup.
> Liron - don't we already have a way of doing this?
> 

We have a way for getting the configuration of a vm snapshotshot.


> > 3. QEMU should return the volume device path on the host in the scsi page 83
> > id for virtio-scsi emulation.
> Isn't this covered by bug 1063597?

Possibly yes, i didn't fully understand the question. what does "in the scsi page 83" means?

Comment 4 Allon Mureinik 2014-08-13 08:37:18 UTC
(In reply to Liron Aravot from comment #3)
> (In reply to Allon Mureinik from comment #2)
> > (In reply to Linux engineering teams - Veritas from comment #0)
> > > 1. RHEVM should provide a REST api to return the xml configuration for a
> > > running VM which was used during startup.
> > Liron - don't we already have a way of doing this?
> > 
> 
> We have a way for getting the configuration of a vm snapshotshot.
Please document his on http://wiki.ovirt.org, and add a link here.

Comment 5 Allon Mureinik 2014-08-20 14:52:43 UTC
(In reply to Oved Ourfali from comment #1)
> Can you open four different bugs here?
> It will be easier to track and fix.

I've opened bugs 1132048, 1132052, 1132054, 1132056 to track each of these respective issues individually.
Closing this one.

Comment 6 Michal Skrivanek 2014-08-22 08:34:09 UTC
change to track/use bug 1054205 instead of bug 1132052

Comment 7 Linux engineering teams - Veritas 2014-09-09 03:49:58 UTC
Thank you for opening four incidents. We have updated the respective incidents.